/*
 * Copyright (C) Philipp Meier 2011
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package ch.praeber.humigraf;

import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author Meier Philipp
 */
public class OpenBrowser {

    /**
     * Opens the Manual in your Browser of choice
     * @param URL which the System Default Browser has to Open
     * @return true if it was a success and false if there was an error
     *
     */
    public static boolean OpeninBrowser(String URL) {
        try {
            try {
                java.awt.Desktop.getDesktop().browse(new URI("http://www.p-raeber.ch/Hygrograph_D/Downloads.htm"));
            } catch (IOException ex) {
                Logger.getLogger(AnalyticsGUI.class.getName()).log(Level.SEVERE, null, ex);
                return false;
            }
        } catch (URISyntaxException ex) {
            Logger.getLogger(AnalyticsGUI.class.getName()).log(Level.SEVERE, null, ex);
            return false;
        }
        return true;


    }
}
